Run in Apidog
Updates properties of an existing item. Only the fields provided are changed; omitted fields remain unchanged. Requires either an ID or an external ID to identify the item.
Request Body Params application/json Required
{
"inv_type" : "service" ,
"code" : "REF-410A" ,
"sales" : 0 ,
"purchase" : 0 ,
"description" : "R-410A refrigerant cylinder (10 kg)." ,
"tax" : "tax" ,
"is_labour" : false ,
"external_id" : "ITEM-1001" ,
"coverage_uom" : {
"id" : null ,
"external_id" : "" ,
"name" : ""
} ,
"klass" : {
"id" : null ,
"external_id" : "" ,
"name" : ""
} ,
"id" : "501"
} Request Code Samples
curl --location --request PATCH 'https://app.fieldinsight.com/public-api//inventory/' \
--header 'Content-Type: application/json' \
--data '{
"inv_type": "service",
"code": "REF-410A",
"sales": 0,
"purchase": 0,
"description": "R-410A refrigerant cylinder (10 kg).",
"tax": "tax",
"is_labour": false,
"external_id": "ITEM-1001",
"coverage_uom": {
"id": null,
"external_id": "",
"name": ""
},
"klass": {
"id": null,
"external_id": "",
"name": ""
},
"id": "501"
}' Modified at 2026-10-30 03:40:11